libimdb-film-perl_0.53-1_all.deb


Advertisement

Description

libimdb-film-perl - Perl extension for retrieving movie info from IMDB.com

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libimdb-film-perl
Package version 0.53
Package release 1
Package architecture all
Package type deb
Installed size 120 B
Download size 38.50 KB
Official Mirror ftp.br.debian.org
This package includes the IMDB::Films and IMDB::Persons perl modules.
IMDB::Film allows retrieval of information about movies by its IMDB code or
title.
IMDB::Persons allows retrieval of  information about IMDB persons (actors,
actresses, directors etc): full name, photo, date and place of birth, mini
bio and filmography.

Alternatives

Package Version Architecture Repository
libimdb-film-perl_0.53-1_all.deb 0.53 all Debian Main
libimdb-film-perl - - -

Requires

Name Value
libcache-cache-perl -
liberror-perl -
libhtml-parser-perl -
libtext-unidecode-perl -
libwww-perl -
perl -

Download

Type URL
Binary Package libimdb-film-perl_0.53-1_all.deb
Source Package libimdb-film-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libimdb-film-perl deb package:
    # sudo apt-get install libimdb-film-perl

Files

Path
/usr/share/doc/libimdb-film-perl/changelog.Debian.gz
/usr/share/doc/libimdb-film-perl/changelog.gz
/usr/share/doc/libimdb-film-perl/copyright
/usr/share/man/man3/IMDB::BaseClass.3pm.gz
/usr/share/man/man3/IMDB::Film.3pm.gz
/usr/share/man/man3/IMDB::Persons.3pm.gz
/usr/share/perl5/IMDB/BaseClass.pm
/usr/share/perl5/IMDB/Film.pm
/usr/share/perl5/IMDB/Persons.pm

Changelog

2013-01-05 - Salvatore Bonaccorso <carnil@debian.org>
libimdb-film-perl (0.53-1) unstable; urgency=low
* Imported Upstream version 0.53
* Refresh fix-spelling-error-in-manpage.patch patch
* Bump Standards-Version to 3.9.4
2012-04-30 - Salvatore Bonaccorso <carnil@debian.org>
libimdb-film-perl (0.52-1) unstable; urgency=low
* Imported Upstream version 0.52
* Update debian/copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for debian/* packaging.
* Bump Standards-Version to 3.9.3
2011-09-28 - Salvatore Bonaccorso <carnil@debian.org>
libimdb-film-perl (0.51-1) unstable; urgency=low
* Imported Upstream version 0.51
2011-09-02 - Salvatore Bonaccorso <carnil@debian.org>
libimdb-film-perl (0.50-1) unstable; urgency=low
* Imported Upstream version 0.50 (Closes: #609456).
* Take over for the Debian Perl Group on maintainer's request
(http://lists.debian.org/debian-perl/2011/08/msg00107.html)
* debian/control:
- Added: Vcs-Git field (source stanza); Vcs-Browser field (source
stanza). Changed: Maintainer set to Debian Perl Group
<pkg-perl-maintainers@lists.alioth.debian.org> (was: Bas Zoetekouw
<bas@debian.org>); Bas Zoetekouw <bas@debian.org> removed. Add
myself to Uploaders.
- Bump versioned Build-Depends on debhelper to (>= 8)
- Reorder packages in Build-Depends, Build-Depends-Indep and
Depends. Add missing packages in Build-Depends-Indep.
- Remove versioned Build-Depends on perl (>= 5.8.0-7).
- Remove Build-Depends on libtext-unidecode-perl
- Update Homepage field to match dist based search.cpan.org URL.
- Replace versioned (Build-)Depends(-Indep) on libhtml-parser-perl
with unversioned dependency as the version is already satisfied
in oldstable.
- Replace versioned (Build-)Depends(-Indep) on libwww-perl with
unversioned dependency as the version is already satisfied in
oldstable.
- Remove (Build-)Depends(-Indep) on libdigest-sha1-perl
(Closes: #636642)
* debian/rules: delete /usr/lib/perl5 only if it exists.
* Update debian/copyright to revision 135 of DEP5 Format-Specification for
machine readable copyright file.
* debian/watch: Use dist based search.cpan.org URL
* Bump Debhelper compat level to 8.
* debian/rules: Use a tiny debian/rules makefile.
* Bump Standards-Version to 3.9.2.
* debian/patches: Add fix-spelling-error-in-manpage.patch patch to fix some
spelling errors in manpage.
2010-02-10 - Bas Zoetekouw <bas@debian.org>
libimdb-film-perl (0.43-1) unstable; urgency=low
* New upstream release
* Converted to 3.0 (quilt) format
* Added dependency on libtext-unidecode-perl
* Added dependency on ${misc:Depends}
* Bumped Standards-version to 3.8.4 (no chenges required)
2009-08-06 - Bas Zoetekouw <bas@debian.org>
libimdb-film-perl (0.41-1) unstable; urgency=low
* New upstream release:
- added retrieving of recommendation movies;
- fixed issue with using of uninitialized value in pattern match
- fixed issue with wrong item in the list of movie directors.
2009-07-18 - Bas Zoetekouw <bas@debian.org>
libimdb-film-perl (0.40-1) unstable; urgency=low
* New upstream release:
- added top info into rating array
- fixed pod errors
2009-07-07 - Bas Zoetekouw <bas@debian.org>
libimdb-film-perl (0.39-1) unstable; urgency=low
* New upstream release:
- added additional attributes such "re-release", "DVD premiere" etc from
the release date page
(Closes: #524672)
- fixed retrieving release date information
(Closes: #524672)
- added support for companies and movie connections
- reorganize tests.
- fixed issue with empty cast list
- fixed issue with retrieving metadata for movies with code less then 7
digits
- fixed POD documentation 
* Use main CPAN urls for watch file rather than a random mirror
* Bumped standards-version to 3.8.2 (no changes necessary)

See Also

Package Description
libiml-dev_1.0.3-5_amd64.deb Integer Matrix Library, development files
libiml0_1.0.3-5_amd64.deb Integer Matrix Library, runtime files
libimlib2-dev_1.4.6-2+deb8u2_amd64.deb image loading, rendering, saving library (development files)
libimlib2_1.4.6-2+deb8u2_amd64.deb image loading, rendering, saving library
libimobiledevice-dev_1.1.6+dfsg-3.1_amd64.deb Library for communicating with iPhone and iPod Touch devices
libimobiledevice-doc_1.1.6+dfsg-3.1_all.deb Library for communicating with iPhone and iPod Touch devices
libimobiledevice-utils_1.1.6+dfsg-3.1_amd64.deb Library for communicating with iPhone and iPod Touch devices
libimobiledevice4_1.1.6+dfsg-3.1_amd64.deb Library for communicating with the iPhone and iPod Touch
libimport-into-perl_1.002004-1_all.deb module for importing packages into other packages
libimvirt-perl_0.9.6-1_all.deb Perl module for detecting several virtualizations
libincidenceeditorsng4_4.14.1-1+deb8u1_amd64.deb incidence editors library
libindi-data_0.9.8.1-5.1_all.deb Instrument-Neutral Device Interface library -- shared data
libindi-dev_0.9.8.1-5.1+b1_amd64.deb Instrument-Neutral Device Interface library -- development files
libindi-plugins_0.9.8.1-5.1+b1_amd64.deb Instrument-Neutral Device Interface library -- plugins
libindi0b_0.9.8.1-5.1+b1_amd64.deb Instrument-Neutral Device Interface library -- client library
Advertisement
Advertisement